<?php
declare( strict_types=1 );

namespace FiboFilters\DI;

use FiboFiltersVendor\Symfony\Component\DependencyInjection\ContainerBuilder;

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

interface IContainerConfigurator {
	const FREE_CONTAINER_SERVICE_SLUG = 'free_container';
	const PRO_CONTAINER_SERVICE_SLUG  = 'pro_container';

	public function configure( ContainerBuilder $container ): ContainerBuilder;

	public function get_dump_namespace(): string;

	public function get_dump_class_name(): string;
}
